
/**
 * Configuration
 */

exports.CONFIG = {
	/**
	 * API url
	 */
	//API				: Ti.App.Properties.getString('api_preference') || 'http://xdemo2.perkd.me/ag',	
	// API				: 'http://x.perkd.me/ag',
	// API				: 'http://xdev.perkd.me/ag',
	API				: 'http://x.perkd.me/ag',
	API_VERSION		: '2.3',
	DB_VERSION		: '2.3',
	APP_PATH		: '/waveo/perkd/',
	DEBUG_LEVEL     : 0,           // set to '0' for production release
	                               // level 1: report all errors
	                               // level 3: report only critical errors      
	                               
	CardBigImageW : Math.round(Ti.Platform.displayCaps.platformWidth*0.8),
	CardBigImageH : Math.round(Ti.Platform.displayCaps.platformWidth*0.8/1.6),
	
	LanguagesTag : {
		'en' : '',
		'zh-Hant' 		: '.1', //HK&MO
		'zh-Hant_TW' 	: '.2', //Taiwan
		'zh-Hans'    	: '.3',
	},

/*
	CardBigImageW : 50,
	CardBigImageH : 50,
*/
	SYNC_TIME_INI : {
		'x' : {
			'WOCardMaster'		: 1375747780, //2013-08-06 08:09:40
			'WOOfferMaster'		: 0,
			'WORewardsetMaster'	: 0,
			'WOPerkCode'		: 0,
		},
		'xdev' : {
			'WOCardMaster'		: 1373165935, //2013-07-07 10:58:55
			'WOOfferMaster'		: 0,
			'WORewardsetMaster'	: 0,
			'WOPerkCode'		: 0,
		},
		'xdemo' : {
			'WOCardMaster'		: 1366948236, //2013-04-26 11:50:36
			'WOOfferMaster'		: 0,
			'WORewardsetMaster'	: 0,
			'WOPerkCode'		: 0,
		},
	},

    // define which are the optional data types are to be sync'd by SyncMgr (app-specific)
	SYNC            : {
                        PROFILE         : true,
                        PREFERENCE      : true,
                        PERK_EVENT      : true,
                        WOPerson		: false,
                        WOCardNumber    : false,
                        WOUser          : false,
                        WOLog	        : true,
                      },
                      
   i18n : { //if wosettings.xxx.i18n is empty, will use these default values.
   		fieldLabel : {
   			"zh-Hant":{"family name":"姓氏","given name":"名字","gender":"性别","birth date":"出生日期","mobile":"手機號碼","mobile opt-in":"接收短訊","nric":"身分證號碼","email":"電子郵件","email opt-in":"接收電郵","postal":"郵政地址","card no.":"卡號","Card No.":"卡號","card name":"卡名","join":"加入","Join Date":"加入日期","expiry":"過期","Expiry Date":"過期日期","expire":"過期","name":"名字","Submit profile to complete registration:":"提交資料以完成登記：","Remember to Save after updating details.":"更新資料後記得保存","Male":"男","Female":"女","Yes":"是","No":"否"},
   			"zh-Hant_TW":{"family name":"姓氏","given name":"名字","gender":"性别","birth date":"出生日期","mobile":"手機號碼","mobile opt-in":"接收短訊","nric":"身分證號碼","email":"電子郵件","email opt-in":"接收電郵","postal":"郵政地址","card no.":"卡號","Card No.":"卡號","card name":"卡名","join":"加入","Join Date":"加入日期","expiry":"到期","Expiry Date":"過期日期","expire":"到期","name":"名字","Submit profile to complete registration:":"提交資料以完成登記：","Remember to Save after updating details.":"更新資料後記得保存","Male":"男","Female":"女","Yes":"是","No":"否"},
   		},
   		notifyButton : {
   			"zh-Hant":{"OK":"好","View":"查看","No Thanks":"暫不","Share!":"立即分享","Update Now":"立即升級","Update now":"立即升級","No":"暫不","Update":"立即升級"},
   			"zh-Hant_TW":{"OK":"好","View":"查看","No Thanks":"暫不","Share!":"立即分享","Update Now":"立即升級","Update now":"立即升級","No":"暫不","Update":"立即升級"},
   		},
   		category : {
   			"zh-Hant":{"Associations & Non-profits":"協會及非盈利組織","Children":"兒童","Fashion & Accessories":"服飾","Food & Beverages":"餐飲","Health & Beauty":"美容及保健","Lifestyle & Services":"休閒生活及各類服務","Malls & Department Stores":"商場及百貨","Travel":"酒店及航空公司"},
   			"zh-Hant_TW":{"Associations & Non-profits":"協會及非盈利組織","Children":"兒童","Fashion & Accessories":"服飾","Food & Beverages":"餐飲","Health & Beauty":"美容及保健","Lifestyle & Services":"休閒生活及各類服務","Malls & Department Stores":"商場及百貨","Travel":"酒店及航空公司"},
   		},
   },
};

exports.UA = {
	VIEWCARD		: 'view_card',
	DELETECARD		: 'delete_card',
	EDITCARD		: 'edit_card',
	ADDCARD			: 'add_card',
	RESTORECARD		: 'restore_card',
	REGISTERCARD 	: 'reg_card',
	PERKEVENT		: 'perkevt_op',
};

