/**
 * Base class for most Core classes: WOObject (model), WOManager (controller), WOViewBase (view)
 * 
 * @author young@waveo.com
 */
Ti.include('/globals.js');

var WOBaseClass = App.Class({
	className : 'WOBaseClass',

	init : function(param){
	},

	//---  Constructor  ---------------
	initialize : function(param){
		this.uuid = App.Helper.generateUUID();
	},
	
	getClass : function(){
		return this.constructor;
	},
});

module.exports = WOBaseClass;

//---  End of file: WOBaseClass.js
