/**
 * default helper function
 * 
 * @author      zhoujun@waveo.com
 */

Ti.include('/globals.js');

exports.typeOf = function(variable) {
    var type = typeof(variable);
    if(type === 'object' && Object.prototype.toString.apply(variable) === '[object Array]') {
        type = 'array';
    }
    return type;
}

exports.isObject = function(variable) {
    return Object.prototype.toString.apply(variable) === '[object Object]' ? true : false;
}

exports.isArray = function(variable) {
    return Object.prototype.toString.apply(variable) === '[object Array]' ? true : false;
}

exports.inArray = function(value, searchArray) {
    var type = typeof(value);
    if(type == 'string' || type =='number') {
        for(var i in searchArray) {
            if(searchArray[i] == value) {
                return i;
            }
        }
    }
    return false;
}

exports.flipObject = function(object) {
    var newObj = {};
    for(var key in object) {
        if('string' == typeof(object[key])) {
            newObj[object[key]] = key;
        }
    }
    return newObj;
}

/**
 * End of file: default.js
 */