/**
 * BaseStyle
 */
WOStyle = require('/waveo/perkd/styles/WOStyle');
BaseStyle.className = 'BaseStyle';

BaseStyle.STYLE = {
	window : {
		top:0, left:0,
		width: WOStyle.DEVICE.width,
//		height: WOStyle.DEVICE.height,
//		backgroundImage: WOStyle.IMAGE.windowBackground,
//		backgroundColor: WOStyle.COLOR.windowBgColor,
//		barImage: WOStyle.IMAGE.barImage,
//		barColor: WOStyle.COLOR.titleBar,
	},
	
	windowTitle : {
		font : WOStyle.FONT.b24,
		minimumFontSize : 16,
		color : '#A15209',
	 	shadowColor : 'white',
		shadowOffset : {
			x : 0,
			y : 1
		},
		textAlign : 'center',
		touchable: false,
	},
	
	tabGroup : {
		font: WOStyle.FONT.b40,
//		backgroundColor: '#0000FF',
	},
	navGroup : {
		backgroundImage: WOStyle.IMAGE.windowBackground,	
	},
	navGroupWinClose : {
		transition: Ti.UI.iPhone.AnimationStyle.FLIP_FROM_RIGHT,
		duration: 500,
	},
	navGroupWinCloseIOS4 : {
		modalTransitionStyle: Ti.UI.iPhone.MODAL_TRANSITION_STYLE_FLIP_HORIZONTAL,
		modal: true, 
	},
};

function BaseStyle(){
}
module.exports = BaseStyle;

/**
 * End of file:BaseStyle.js
 */