/**
 * CountrySearchStyle
 */
var WOStyle = require('/waveo/perkd/styles/WOStyle');

CountrySearchStyle.className = 'CountrySearchStyle';

CountrySearchStyle.STYLE = App.Config.IS_ANDROID ? {
	baseWindow:		WOStyle.STYLE.baseWindow,
	navGroup:		WOStyle.STYLE.navGroup,
	window:			WOStyle.STYLE.window,
	windowTitle:	WOStyle.STYLE.windowTitle,

    view:			{},
    
	tableView:		WOStyle.tableView,
	tableRow:		{backgroundColor: '#FFFFFF', height: '45dp', backgroundSelectedColor: '#0272ED'},
	countryName:	{left: '10dp', color:'#929292', font: WOStyle.FONT.b20, touchEnabled: false,},
	countryCode:	{right: '10dp', color:'#929292', font: WOStyle.FONT.n18, touchEnabled: false,},
	
	searchBar:		WOStyle.SEARCHBAR,
	TEXTFIELD_HIDDEN: WOStyle.TEXTFIELD_HIDDEN,
	
} : {
	baseWindow:		WOStyle.STYLE.baseWindow,
	navGroup:		WOStyle.STYLE.navGroup,
	window:			WOStyle.STYLE.window,
	windowTitle:	WOStyle.STYLE.windowTitle,

    view:			{},
	tableView:		{},
	tableRow:		{height: '42dp', color:'#929292', font: WOStyle.FONT.b18},
	countryCode:	{right: '5dp', color:'#929292', font: WOStyle.FONT.n18},
	searchBar:		WOStyle.SEARCHBAR,

};

function CountrySearchStyle(param){
}

module.exports = CountrySearchStyle;

//---  End of file: CountrySearchStyle.js
