/**
 * PreferenceStyle
 */
var WOStyle = require('/waveo/perkd/styles/WOStyle');
var FormStyle = require('/waveo/perkd/styles/FormStyle');

PreferenceStyle.className = 'PreferenceStyle';

PreferenceStyle.STYLE = {
	baseWindow :WOStyle.STYLE.baseWindow,
	navGroup :WOStyle.STYLE.navGroup,
	window : WOStyle.STYLE.window,
	windowTitle: WOStyle.STYLE.windowTitle,

	view : {},
	titlebarShadowContainer: WOStyle.STYLE.titlebarShadowContainer,
	titlebarShadow:		WOStyle.STYLE.titlebarShadow,
	
	form: FormStyle.FORM,

	fieldWindow: WOStyle.STYLE.window,

///--- FORM Elements
	// view
	view_formFooter: FormStyle.HEADER_FOOTER_VIEW,

	view_formSectionHeader: WOStyle.merge(FormStyle.SECTION_HEADER_FOOTER_VIEW,{
		height: WOStyle.IS_ANDROID ? '50dp' : 'auto',
	}),
	
	view_formSectionFooter: WOStyle.merge(FormStyle.SECTION_HEADER_FOOTER_VIEW,{
		height: WOStyle.IS_ANDROID ? '50dp' : 'auto',
	}),
	label_formSectionHeader: WOStyle.merge(FormStyle.HEADERLABEL, {
		top: '15dp', font: WOStyle.FONT.b24, opacity:1,
	}),
	label_formSectionFooter:  WOStyle.merge(FormStyle.FOOTERLABEL, {
		top: '15dp', 
	}),
	label_formFooter: WOStyle.merge(FormStyle.FOOTERLABEL,{
		textAlign: 'center', bottom: '25dp', top: '30dp',
		font: WOStyle.FONT.n24, opacity: 0.4,  color: WOStyle.IS_ANDROID?  '#50FFFFFF' : '#000000',
		shadowColor:'#50FFFFFF', shadowOffset:{x:0,y: 1},
	}),
	view_formRow: FormStyle.ROW,
	view_formRow_withWindow: FormStyle.Row_withWindow,
	view_formfield : FormStyle.FORMFIELD,
	label_fieldLabel: WOStyle.merge(FormStyle.FORMFIELD_LABEL, {
		width:Ti.UI.SIZE, opacity: 0.8,
	}),
	label_fieldData:  WOStyle.merge(FormStyle.FORMFIELD_VALUE, {
		left: null, width: '55%',
	}),
	label_fieldDataCity:  WOStyle.merge(FormStyle.FORMFIELD_VALUE, {
		left: null, width:'55%',
	}),
		
//	fieldWindowElement
	fieldWindowElement_slider: FormStyle.FIELDWINDOWELEMENT_SLIDER,
	fieldWindowElement_city: FormStyle.FIELDWINDOWELEMENT_CITY,
	fieldWindowElement_lang: FormStyle.FIELDWINDOWELEMENT_LANG,
	fieldWindowElement_policy: FormStyle.FIELDWINDOWELEMENT_POLICY,

};

function PreferenceStyle(){
}

module.exports = PreferenceStyle;

/**
 * End of file:PreferenceStyle.js
 */