/**
 * Form style
 */
var WOStyle = require('/waveo/perkd/styles/WOStyle');
var FormStyle = require('/waveo/perkd/styles/FormStyle');

ProfileStyle.className = 'ProfileStyle';

ProfileStyle.STYLE = {
	
	baseWindow :WOStyle.STYLE.baseWindow,
	navGroup :WOStyle.STYLE.navGroup,
	window : WOStyle.STYLE.window,
	windowTitle: WOStyle.STYLE.windowTitle,
	titlebarShadowContainer: WOStyle.STYLE.titlebarShadowContainer,
	titlebarShadow:		WOStyle.STYLE.titlebarShadow,
	

	view : {
		scrollableBg: WOStyle.merge(WOStyle.STYLE.scrollableBg, {
			layout: 'vertical',
		}),
		formCanvas:{
			top: 0, width: '100%', height: 'auto', 
		}
	},
	desc:{
		L1:{
			left:'20dp', right:'20dp', 
			top: '25dp', height: Ti.UI.SIZE, 
			font: WOStyle.FONT.n18,
			color:'#FFFFFF',
			textAlign:'left',
		},
		L2:{
			left:'20dp', right:'20dp', 
			top: '10dp', height: Ti.UI.SIZE, 
			font: WOStyle.FONT.n18,
			color:'#FFFFFF',
			textAlign:'left',
		}
	},	
	btn :{
		SAVE : WOStyle.SYSTEMBUTTON.SAVE,
		EDIT : WOStyle.SYSTEMBUTTON.EDIT,
		CANCEL : WOStyle.SYSTEMBUTTON.CANCEL,
	},
	
////--- FORM Elements
	form: FormStyle.FORM,
	fieldWindow: WOStyle.STYLE.window,
	// view
	view_formHeader: WOStyle.merge(FormStyle.HEADER_FOOTER_VIEW, {
		height: WOStyle.IS_CH? '48dp' : '68dp',
	}),
	view_formFooter: WOStyle.merge(FormStyle.HEADER_FOOTER_VIEW, {
		height:WOStyle.IS_ANDROID ? WOStyle.DEVICE.height/2 : Ti.UI.SIZE,
	}),

	
	
	// WOStyle.merge(FormStyle.HEADER_FOOTER_VIEW, {
		// height:'60dp',
	// }),

	label_formSectionHeader: FormStyle.HEADERLABEL,
	label_formSectionFooter: FormStyle.FOOTERLABEL,
	label_formHeader: FormStyle.HEADERLABEL,
	label_formFooter: WOStyle.merge(FormStyle.FOOTERLABEL, {
		top: WOStyle.IS_ANDROID? '15dp' : '5dp',
	}),
	
	view_formRow: FormStyle.ROW,
	view_formRow_withWindow: FormStyle.Row_withWindow,
	view_formfield : FormStyle.FORMFIELD,

	label_fieldLabel: FormStyle.FORMFIELD_LABEL,
	label_fieldHint: FormStyle.FORMFIELD_HINT_ASLABEL_FULLWIDTH,
	label_fieldData: FormStyle.FORMFIELD_VALUE,

		
// field style	
	label_fieldData_name: FormStyle.FORMFIELD_VALUE_NAME,
	label_fieldHint_name:  FormStyle.FORMFIELD_HINT_NAME,

	label_fieldData_email: FormStyle.FORMFIELD_VALUE_EMAIL,
	label_fieldHint_email:  FormStyle.FORMFIELD_HINT_EMAIL,

	tabbar_gender:  FormStyle.FORMFIELD_TABBAR_GENDER,

	fieldWindowElement_date: FormStyle.FIELDWINDOWELEMENT_DATE,
	fieldWindowElement_nameOrder: FormStyle.FIELDWINDOWELEMENT_NAMEORDER,
};


function ProfileStyle(){
}

module.exports = ProfileStyle;

/**
 * End of file:ProfileStyle.js
 */