/**
 * scanStyle
 */
var WOStyle = require('/waveo/perkd/styles/WOStyle');

scanStyle.className = 'scanStyle';

scanStyle.STYLE = {
	buttonGradient: WOStyle.BUTTON_BG.main,
	buttonSelectGradient: WOStyle.BUTTON_BG.mainSelected,

	baseWindow : WOStyle.STYLE.baseWindow,
	navGroup:	WOStyle.STYLE.navGroup,
	window : WOStyle.STYLE.window,
	
	//--- titlebar
	titlebarShadowContainer: WOStyle.STYLE.titlebarShadowContainer,
	titlebarShadow:		WOStyle.STYLE.titlebarShadow,
	perkd_btn:	WOStyle.merge(WOStyle.STYLE.perkd_btn,{
        backgroundSelectedImage:'/assets/images/buttons/perkid.png',
	}),
	

	view : {
		canvas_absolute	: WOStyle.STYLE.canvas_absolute,
 		scan: {layout: 'vertical', height: Ti.UI.SIZE},
 		scanImg:{
			width:'217dp', height:'214dp', top:0,
			backgroundImage: WOStyle.IS_ANDROID ? '/assets/images/ui/scanbg@2x.png' : '/assets/images/ui/scanbg.png',
		},
	},
	btn: {
		scan: WOStyle.merge(WOStyle.STYLE.btn.main, {
			top: '45dp', width: '210dp',
		}),
	}
};


function scanStyle(){
}

module.exports = scanStyle;

/**
 * End of file:scanStyle.js
 */