/**
 * Main Window
 */
Ti.include('/globals.js');

var MainWindow = App.Class(App.View.WOWindow, {
	className 	: 'MainWindow',

	//---  Constructor  ---------------
	initialize : function(param){
		var self = this;
		self.base(param);
		
	    self.WINDOW.title = '';
	    self.WINDOW.type = App.Const.WINDOW.type.tabGroup;
	    self.WINDOW.effect = App.Const.WINDOW.effect.fade;
	    
	    if (App.Config.IS_ANDROID) {
	    	Ti.Android.currentActivity.setRequestedOrientation(Titanium.Android.SCREEN_ORIENTATION_PORTRAIT);
	    }
	},

});

module.exports = MainWindow;

//---  End of file: MainWindow.js
