/**
 * file: global.js
 * Global namespaces
 * 
 */

//--- Global Variables Namespace --------
exports.global = {};

//--- Global App Namespace --------------
exports.App = {};

/**  Sub-namespaces:
 *      App.Config      for configuration settings
 * 
 *      App.Const       for constants
 *      App.Event       for Event names
 *      App.Action      for Server API Action names
 *      App.UserAction  for User Action names
 * 
 *      App.Class       reserved for jClass ONLY, DO NOT assign values
 *      App.WOBaseClass reserved for WOBaseClass ONLY
 *      App.Model       for Model class/prototype objects
 *      App.View        for View class/prototype objects
 *      App.Controller  for Controller class/prototype objects
 *      App.Helper      for helper functions
 *      App.DB          for database interface objects & methods
 * 
 *      App.track       shorthand to $.trackMgr.track()
 *      App.watchDog    shorthand to $.logMgr.log()
 */

/** 
 * End of file: global.js
 */