/**
 * Account & Profile Manager base class
 *
 * @author young@waveo.com
 */
Ti.include('/globals.js');

var WOAccountManager = App.Class(App.Controller.WOManager, {
    className : 'WOAccountManager',
    alias     : 'account',

	//---  Constructor  ---------------	   
	initialize : function(param){
		var self = this;
		self.base(param);
	},

    //----------------------  Account Management  ----------------------

    /**
     * Reset account state to non-login defaults. Used by Logout() of AuthMgr
     */
    resetAccount : function(){
        // to be implemented by app-specific sub-class
        var self = this;
        
        return true;
    }
    
});

module.exports = WOAccountManager;

//---  End of file: WOAccountManager.js
