/**
 * WOLocation
 * 
 * @author zhoujun@waveo.com
 */

Ti.include('/globals.js');
App.Helper.requireModel('WOObject');

var WOLocation = App.Class(App.Model.WOObject, {
    className : 'WOLocation',
    alias : 'location',
    tableName : 'location',
    
    init : function(param) {
        var self = this;
        self.base();
        self.initProperties(param);
    },
    
    initProperties : function(param) {
        var self = this;
        
        self._propMap['category']       = 'category'        ;
        self._propMap['name']           = 'name'            ;
        self._propMap['address']        = 'address'         ;  //boolean 1/0 true/false
        self._propMap['phone']          = 'phone'           ;  //object
        self._propMap['latitude']       = 'latitude'        ;  //object
        self._propMap['longitude']      = 'longitude'       ;  //object
        self._propMap['landmark']       = 'landmark'        ;  //object
        // self._propMap['opentime']       = 'opentime'        ;  //object
        self._propMap['country']        = 'country'         ;  //object
        self._propMap['province']       = 'province'        ;  //object
        self._propMap['city']           = 'city'            ;  //object
        
        self.base(param);
    },
});

module.exports = WOLocation;
/**
 * End of file: WOLocation.js
 */