/**
 * WOOfferMaster
 * 
 * @author zhoujun@waveo.com
 */

Ti.include('/globals.js');

var WOOfferMaster = App.Class(App.Model.WOObject, {
    className : 'WOOfferMaster',
    alias : 'offermas',
    tableName : 'offer_master',
    encryptData : true && App.Config.MODEL_ENCRYPT,
    
    init : function(param) {
        var self = this;
        self.base();
        self.initProperties(param);
    },
    
    save : function(syncDown) {
    	var self = this;
    	self.base(syncDown);
    	
    	var images = [];    	
    	if(self.data.image)		images.push(self.data.image);
    	if(self.data.isMystery && self.data.mystery.image)		images.push(self.data.mystery.image);
    	
    	$.syncMgr.queueImages({ urls: images });
    },
});

module.exports = WOOfferMaster;
/**
 * End of file: WOOfferMaster.js
 */