/**
 * WOSettings
 * 
 * @author zhoujun@waveo.com
 */

Ti.include('/globals.js');
var helper = App.loadHelper('default'); //TODO [ZJ]

var WOSettings = App.Class(App.Model.WOObject, {
    className : 'WOSettings',
    alias	  : 'settings',
    tableName : 'settings',

    init : function(param) {
        var self = this;
        self.base();
        self.initProperties(param);
    },
    
    saveSyncDown : function(objects){
    	var self = this;
    	self.base(objects);
    	
    	objects = objects || [];
    	for(var i=0; i < objects.length; i++) {
    		try { var data = JSON.parse(objects[i]) } catch (E) { data = false };
    		if(false === data || !data.hasOwnProperty('id')) continue;
    		if('preference' == data.id || 'account' == data.id) {
    			Ti.App.fireEvent('WOSettings.'+data.id+'.'+$.syncMgr.EVENT.syncUpdate, {});
    		}
    	}
    },
});

module.exports = WOSettings;
/**
 * End of file: WOSettings.js
 */