/**
 * CardFormStyle
 */
var WOStyle = require('/waveo/perkd/styles/WOStyle');
var FormStyle = require('/waveo/perkd/styles/FormStyle');

CardFormStyle.className = 'CardFormStyle';

CardFormStyle.STYLE = {
	buttonGradient: WOStyle.BUTTON_BG.alert,
	buttonSelectGradient: WOStyle.BUTTON_BG.alertSelected,

//style must exist and would be used in WOWindow
	baseWindow :WOStyle.STYLE.baseWindow,
	navGroup :WOStyle.STYLE.navGroup,
	window : WOStyle.STYLE.window,
	windowTitle: WOStyle.STYLE.windowTitle,
	titlebarShadowContainer: WOStyle.STYLE.titlebarShadowContainer,
	titlebarShadow:		WOStyle.STYLE.titlebarShadow,
	
	view : {
		scrollableBg: WOStyle.merge(WOStyle.STYLE.scrollableBg, {
			layout: 'vertical',
		}),
		cardFrame: { 
			left:0, top: '10dp', width: '100%', height: '204dp',
		},
		cardFace: {
			left:0, width: '100%', height: '204dp',
		},
	},

////-- FORM: FormStyle.FORM,
	form: FormStyle.FORM,
	
////--- FORM Elements
	// view
	view_formHeader: WOStyle.merge(FormStyle.HEADER_FOOTER_VIEW),
	view_formFooter:WOStyle.merge(FormStyle.HEADER_FOOTER_VIEW, {
		height: WOStyle.IS_ANDROID ? WOStyle.DEVICE.height/2 : Ti.UI.SIZE,
	}),

	label_formSectionHeader: FormStyle.HEADERLABEL,
	label_formSectionFooter: FormStyle.FOOTERLABEL,
	label_formHeader: WOStyle.merge(FormStyle.HEADERLABEL, {
		 bottom: WOStyle.IS_ANDROID ? '2dp' :  0,
	}),
	label_formHeader_withCard: WOStyle.merge(FormStyle.HEADERLABEL, {
		bottom: WOStyle.IS_ANDROID ? '2dp' :  0,
	}),
	label_formFooter: WOStyle.merge(FormStyle.FOOTERLABEL,{
		top: WOStyle.IS_ANDROID ? '15dp' : '5dp', bottom: '30dp',
	}),
	
	view_formRow: FormStyle.ROW,
	view_formRow_withWindow: FormStyle.Row_withWindow,

	view_formfield : FormStyle.FORMFIELD,
// default Label, Hint, Data Style in this FORM
	label_fieldLabel: FormStyle.FORMFIELD_LABEL,
	label_fieldHint: FormStyle.FORMFIELD_HINT_ASLABEL_FULLWIDTH,
	label_fieldData: FormStyle.FORMFIELD_VALUE,

// field style	
	label_fieldData_name: FormStyle.FORMFIELD_VALUE_NAME,
	label_fieldHint_name:  FormStyle.FORMFIELD_HINT_NAME,

	label_fieldData_email: FormStyle.FORMFIELD_VALUE_EMAIL,
	label_fieldHint_email:  FormStyle.FORMFIELD_HINT_EMAIL,

	label_fieldData_mobile: FormStyle.FORMFIELD_VALUE_MOBILE,
	label_fieldHint_mobile:  FormStyle.FORMFIELD_HINT_MOBILE,

	label_fieldHint_cardno:  FormStyle.FORMFIELD_HINT_CARDNO,
	label_fieldData_cardno:  FormStyle.FORMFIELD_VALUE_CARDNO,
	
	label_fieldLabel_policy: WOStyle.merge(FormStyle.FORMFIELD_LABEL,{
		width:'42%',
	}),
	label_fieldData_policy: WOStyle.merge(FormStyle.FORMFIELD_VALUE, {
		left:'42%',
	}),
// intro page
	label_fieldLabel_intro: WOStyle.merge(FormStyle.FORMFIELD_LABEL,{
		left:'28dp', right:0, width: '100%', opacity: 1,
	}),
	label_fieldData_intro: WOStyle.merge(FormStyle.FORMFIELD_VALUE,{
		left:'28dp', textAlign:'left', font: WOStyle.FONT.n20,
	}),

//	fieldWindowElement
	fieldWindow: WOStyle.STYLE.window,
	fieldWindowElement_cardno: FormStyle.FIELDWINDOWELEMENT_CARDNO,	
	fieldWindowElement_date: FormStyle.FIELDWINDOWELEMENT_DATE,
	fieldWindowElement_policy: FormStyle.FIELDWINDOWELEMENT_POLICY,

	tabbar_gender:  FormStyle.FORMFIELD_TABBAR_GENDER,
	tabbar_opt:  FormStyle.FORMFIELD_TABBAR_OPT,

//	Button
	btn:{
		deleteCard: WOStyle.merge(WOStyle.STYLE.btn.alert, {
			width: '210dp', bottom: '40dp',  
			height: '42dp',
		}),
		REGISTER: WOStyle.SYSTEMBUTTON.REGISTER,
		LATER: WOStyle.SYSTEMBUTTON.LATER,
		DONE: WOStyle.SYSTEMBUTTON.DONE,
		CANCEL :WOStyle.SYSTEMBUTTON.CANCEL,
		SAVE :WOStyle.SYSTEMBUTTON.SAVE,
	},	
};

function CardFormStyle(param){
}

module.exports = CardFormStyle;

//---  End of file:CardFormStyle.js
