/**
 * CityListStyle
 */
var WOStyle = require('/waveo/perkd/styles/WOStyle');
var FormStyle = require('/waveo/perkd/styles/FormStyle');

CityListStyle.className = 'CityListStyle';

CityListStyle.STYLE = {
    view :{ height: Ti.UI.SIZE,},
	tableView: WOStyle.merge(FormStyle.FORM, {
		editable : true, top: '-10dp', scrollable: false,  backgroundColor : 'transparent'
	}),
	tableRow:{
		touchEnabled : false,
		backgroundColor:'#53000000',
		color:'#FFFFFF', height: '55dp',
		selectionStyle: null,
		backgroundSelectedColor: WOStyle.IS_ANDROID? '#0272ED' : null,
	},

	label: {
		city : {
    	 	left: '10dp', right:'110dp', height: '45dp',
			font: WOStyle.FONT.b20, 
			color:'#FFFFFF',  textAlign:'left', 
			touchEnabled:false,
		},
		country : {
    	 	right : '10dp', height: '36dp', width: '100dp',
			color: '#FFFFFF', touchEnabled:false, textAlign: 'right',
		 	font: WOStyle.FONT.n17, opacity: 0.6, touchEnabled:false,
		},

		state : {
    	 	right : '10dp', top:'10dp', height: '18dp', width: '100dp',
			color: '#FFFFFF', touchEnabled:false, textAlign: 'right',
		 	font: WOStyle.FONT.b15, opacity: 0.6, touchEnabled:false,
		},

		countrystate : {
    	 	right : '10dp', bottom:'10dp', height: '17dp', width: '100dp',
			color: '#FFFFFF', touchEnabled:false, textAlign: 'right',
		 	font: WOStyle.FONT.n15, opacity: 0.6,
		},
	},

};

function CityListStyle(param){
}

module.exports = CityListStyle;

//---  End of file: CityListStyle.js
