/**
 * ContactSelectorStyle
 */
var WOStyle = require('/waveo/perkd/styles/WOStyle');

ContactSelectorStyle.className = 'ContactSelectorStyle';

ContactSelectorStyle.pageNav = {
			width: '44dp', height: '44dp',top:0, left:0,
			font: WOStyle.FONT.n26,
			color: '#99DFDFDF',
			textAlign: Ti.UI.TEXT_ALIGNMENT_CENTER,
    };

ContactSelectorStyle.STYLE = {
//style must exist and would be used in WOWindow
    baseWindow :  WOStyle.STYLE.baseWindow,
    navGroup :  WOStyle.STYLE.navGroup,
	window : WOStyle.merge(WOStyle.STYLE.window,{
		backgroundColor: '#FFFFFF',
		backgroundImage: null,
	}),

    windowTitle: WOStyle.STYLE.windowTitle,  

//customize style  	
    view :{
		scrollableBg : WOStyle.STYLE.scrollableBg,
    	canvas : WOStyle.STYLE.canvas_absolute,
    	count:{
   			borderRadius: WOStyle.DEVICEDP.dp10, 
			right: '10dp', width :'42dp', height : '24dp',
			touchEnabled : false,
    	},
    	phone:{
	       	bottom : '5dp', height : '14dp',
			left : '48dp', right: '25dp',
			layout: 'horizontal'
		},
    },
    label:{
    	contactCount:{
    		font: WOStyle.FONT.b15,
			width: '130dp', color:'#C7FFFFFF', height:'30dp', textAlign:'center',
    	},
    	pageNavFirst: WOStyle.merge(ContactSelectorStyle.pageNav, {text: '<<'}),
    	pageNavPrevious: WOStyle.merge(ContactSelectorStyle.pageNav, {text: '<'}),
    	pageNavNext: WOStyle.merge(ContactSelectorStyle.pageNav, {text: '>'}),
    	pageNavLast: WOStyle.merge(ContactSelectorStyle.pageNav, {text: '>>'}),
    	pageNo:{
    		width: (WOStyle.DEVICEDP.width - 180) +'dp',
    		height: '41dp',top:'3dp', left:0,
    		font: WOStyle.FONT.b18,
			color: '#FFFFFF',
			textAlign: Ti.UI.TEXT_ALIGNMENT_CENTER,
    	},    	
    	

    	groupName:{
		    font: WOStyle.FONT.b24,
		    minimumFontSize : '16sp',
		    touchEnabled : false,  height : '32dp', left : '10dp',
			width : '210dp', top : '8dp', color : '#000000', opacity:0.8,
    	},
    	 count:{
   			text : '', 
   			font :WOStyle.FONT.b15, minimumFontSize : '12sp',
			textAlign : 'center', color:'#FFFFFF',
			right:0, left:0, bottom: '2dp', height: Ti.UI.SIZE,
			touchEnabled : false,
    	},
    	contactName:{
	        font:WOStyle.FONT.b24, minimumFontSize : '15sp',
	        height	: '28dp', left : '48dp', width : WOStyle.IS_ANDROID? 'auto' : Ti.UI.FILL, color : '#000000', opacity: 0.9,
	        touchEnabled : false,
		},
     	phoneLabel :{
		    text : '',
			font : WOStyle.FONT.b12, textAlign : 'left',
			touchEnabled : false,  color : '#2F9AFE', opacity:0.8,
			height : WOStyle.IS_ANDROID? '14dp' :  '100%',
			bottom : WOStyle.IS_ANDROID? '5dp' :  null,
			left : WOStyle.IS_ANDROID? '48dp' : '0', width : WOStyle.IS_ANDROID? '40dp' : Ti.UI.SIZE, 
		},
    	phoneNo :{
			font : WOStyle.FONT.n12, textAlign : 'left',
			touchEnabled : false, color : '#646464', opacity:0.8,
			height : WOStyle.IS_ANDROID? '14dp' :  '100%',
			bottom : WOStyle.IS_ANDROID? '5dp' :  null,
			left :WOStyle.IS_ANDROID? '88dp' : '5dp', width : WOStyle.IS_ANDROID? 'auto' : Ti.UI.SIZE, 
		},
	},
    img:{
    	unCheckIcon:{
    		left	: '8dp', width : '32dp', height : '32dp',
	        image	: WOStyle.IS_ANDROID? '/assets/images/icons/unchecked@2x.png': '/assets/images/icons/unchecked.png',
	        touchEnabled : false,
    	},
       checkIcon:{
    		left	: '8dp', width : '32dp', height : '32dp',
	        image	: WOStyle.IS_ANDROID? '/assets/images/icons/checked@2x.png': '/assets/images/icons/checked.png',
	        touchEnabled : false,
    	}
    },
    tableView:{
    	group:{
	    	backgroundColor : '#FFFFFF', separatorColor : '#E5E5E5',
	    	top: 0, bottom: '44dp', rowHeight: '45dp',
	    },
	    contact:{
	    	backgroundColor : '#FFFFFF', separatorColor : '#E5E5E5',
	    	top: 0, bottom: '44dp', 
	    	hideSearchOnSelection: false, searchHidden: false,
	    },
    },
    tableRow_group:{
//		backgroundSelectedColor: '#0272ED',
		selectionStyle: WOStyle.IS_ANDROID ? null : Ti.UI.iPhone.TableViewCellSelectionStyle.BLUE,
        height: '45dp',
        hasChild	: true,
	 },
	    
    tableRow_Contact:{
//		backgroundSelectedColor: '#0272ED',
		selectionStyle: WOStyle.IS_ANDROID ? null : Ti.UI.iPhone.TableViewCellSelectionStyle.BLUE,
        height: '55dp', 
	},
	tableRow_SelectedContact:{
	    height: '55dp', backgroundColor:'#EEEEEE',
	    },
//--- Add button
    btn: {
    	clear: WOStyle.SYSTEMBUTTON.CLEAR,
    	cancel: WOStyle.SYSTEMBUTTON.CANCEL,
    	share: WOStyle.SYSTEMBUTTON.SHARE,
    	FLEXIBLE_SPACE: WOStyle.SYSTEMBUTTON.FLEXIBLE_SPACE,
    },
	toolBar: WOStyle.STYLE.btnToolBar,
//--- SearchBar
	searchBar: WOStyle.SEARCHBAR,

};

function ContactSelectorStyle(param){
}

module.exports = ContactSelectorStyle;

//---  End of file: ContactSelectorStyle.js
