 /**
 * PerkdStyle
 */
var WOStyle = require('/waveo/perkd/styles/WOStyle');

PerkdStyle.className = 'PerkdStyle';

PerkdStyle.OfferImg = {
	height: WOStyle.IS_ANDROID? ((WOStyle.DEVICEDP.width/320*210)+'dp') : '210dp'
}


PerkdStyle.STYLE = {
	baseWindow :WOStyle.STYLE.baseWindow,
	navGroup :WOStyle.STYLE.navGroup,
	window : WOStyle.STYLE.window,
	windowTitle: WOStyle.STYLE.windowTitle,
	titlebarShadowContainer: WOStyle.merge(WOStyle.STYLE.titlebarShadowContainer,{top: '0'}),
	titlebarShadow:		WOStyle.STYLE.titlebarShadow,	
	titlebar:		WOStyle.STYLE.titlebar,

	OfferImgShadow:	{
		bottom: 0, right:'0', left: '0',
		height: '210dp',
		backgroundImage: '/assets/images/ui/imgshadow.png',
		touchEnabled: false,
		// backgroundGradient: {
			// type:'linear', 
			// colors:[
					// {color:'#00000000', offset:0.0},
					// {color:'#30000000', offset:0.7},
					// {color:'#30000000', offset:0.95},
					// {color:'#AF000000', offset:1.0},
				// ], 
			// startPoint:{x:0,y:0}, 
			// endPoint:  {x:0,y:'100%'}, 
		// }
	},
	
	view:{
		scrollableBg: WOStyle.STYLE.scrollableBg,
		canvas: WOStyle.STYLE.canvas,
		obj:{
			top	: 0, height	: Ti.UI.SIZE, //general size for you have been perkd
			left: 0, right: 0, layout : 'composite',
		},	
		notice:{
			top	: 0, left: '15dp', right:'15dp',
			height	:Ti.UI.SIZE,
			layout: 'vertical', 
		},
		btn:{
			top	: 0, width: '288dp', //remember to set width, otherwise layout will be broken
			height: Ti.UI.FILL,
			layout: 'composite',
		},
		// You Have Been Perkd Issue or Share Card
		cardFrame:{
			top	: 0, height: '214dp',
			left: 0, right	: 0,
		},
		cardFace:{
			height : '204dp', top: '10dp',
			left: 0, right	: 0,
		},	
		// You Have Been Perkd Issue Stamp
		stampsFrame:{
			top : '0',	height : Ti.UI.SIZE,
			width : '100%',
			layout : 'composite',
		},
		stampsCanvas:{
			top : '15dp', bottom : '10dp', height : Ti.UI.SIZE,
			layout : 'vertical',
			shadow:{
		        shadowRadius	: 2,
		        shadowOpacity	: 0.5,
		        shadowOffset	: {x: 1, y: 2},
			},	
		},
		
		// You Have Been Perkd offer	
		offerCanvas:{
			top : '0', height: (parseInt(PerkdStyle.OfferImg.height)+1)+'dp', 
			width :'100%', backgroundColor: '#FEFEFE',
			layout : 'composite',
		},
		offerImageFrame:{
			top : '0',
			width: '100%',
			height: PerkdStyle.OfferImg.height, 
			backgroundColor: '#FEFEFE',
			layout : 'composite',
		},

		// You Have Been Perkd  - Unlock Offer
		password:{
			left:'15dp', right: '15dp', top: '50dp', height: '60dp',
			borderRadius: WOStyle.DEVICEDP.dp10, borderWidth: WOStyle.DEVICEDP.dp1, borderColor:'#4d4d4d',
			backgroundColor:'#53000000',
		},
	},
		
	label:{
		obj_desc0:{
			top: '15dp', height: '35dp',
			left:'0', right: '0',
			font: WOStyle.FONT.b32, minimumFontSize: '24sp',
			color: '#FFFFFF', textAlign:'center',
		},
		obj_desc1:{
			top: '20dp', height: '35dp',
			left:'0', right: '0', opacity: 0.9, 
			font: WOStyle.FONT.b32, minimumFontSize: '24sp',
			color: '#FFFFFF', textAlign:'center',
		},
		obj_desc2:{
			top: '10dp', height: Ti.UI.SIZE,
			left:'0', right: '0',
			font: WOStyle.IS_ANDROID? WOStyle.FONT.n18 : WOStyle.FONT.n20,
			textAlign:'center',
			color: '#FFFFFF', opacity: 0.5, 
		},
		//only used for offer 
		offerName: { },
	},
	img:{
		//only used for offer 
		offerImg:{
			top : '0',
			width:  WOStyle.IS_ANDROID? WOStyle.DEVICEDP.width+'dp' : '320dp',
			height: PerkdStyle.OfferImg.height, 
		}
	},
	textfield:{
		password: WOStyle.merge(WOStyle.TEXTFIELD, {
			font: WOStyle.FONT.b24, height: '60dp',
			passwordMask: true,
			returnKeyType: Titanium.UI.RETURNKEY_DONE,
		}),
	},

	//only used for offer 	
	line: { 
		backgroundColor: '#606060', height:'1dp', bottom: 0,
	},
	
//TO BE DELETED
	btn_actl: WOStyle.merge(WOStyle.STYLE.btn.sub, {
		width: '110dp',
		backgroundImage: '/assets/images/buttons/btn_actl@2x.png',
		backgroundSelectedImage:'/assets/images/buttons/btn_actl_c@2x.png',
		backgroundGradient: null,
	}),
	btn_actm: WOStyle.merge(WOStyle.STYLE.btn.main, {
    	width: '145dp',
		backgroundImage: '/assets/images/buttons/btn_actm@2x.png',
		backgroundSelectedImage:'/assets/images/buttons/btn_actm_c@2x.png',
		backgroundGradient: null,
	})
};

function PerkdStyle(param){
}

module.exports = PerkdStyle;

//---  End of file: PerkdStyle.js
