/**
 * oWOStyle
 */
var WOStyle = require('/waveo/perkd/styles/WOStyle');

PointsListStyle.className = 'PointsListStyle';


PointsListStyle.STYLE = {
	baseWindow :WOStyle.STYLE.baseWindow,
	navGroup :WOStyle.STYLE.navGroup,
	window : WOStyle.STYLE.window,
	windowTitle: WOStyle.STYLE.windowTitle,
	titlebarShadowContainer: WOStyle.STYLE.titlebarShadowContainer,
	titlebarShadow:		WOStyle.STYLE.titlebarShadow,
		
	view : {
		canvas:WOStyle.STYLE.canvas_absolute,
		rowView:{
			left:'10dp', right: '10dp',
			height:Ti.UI.SIZE,
		},
		storeName:{
     		height: Ti.UI.SIZE,
     		left: 0,  right: '110dp', //backgroundColor: '#13FF0000',
    	},
		transDate:{
    		height:Ti.UI.SIZE, //backgroundColor: '#130000FF',
			right: '65dp', width: '55dp',
		},
		pointNo:{
			//backgroundColor: '#1300FF00',
	 		height:Ti.UI.SIZE,
			right: 0, width: '65dp',
    	},
	},

	label:{
		storeName:{
     		top:'7dp', bottom:'3dp',  height: Ti.UI.SIZE,
     		left: 0,
			textAlign: 'left', 
    		font:WOStyle.FONT.n18, color:'#FFFFFF',
			touchEnabled:false,	
    	},
		transDate:{
     		top:'7dp', height: Ti.UI.SIZE,
			right: '0',
    		font:WOStyle.FONT.n12,
    		 textAlign:'right',
    		color:'#FFFFFF', opacity: 0.6,
			touchEnabled:false,	
		},
		pointNo:{//backgroundColor: '#3300FF00',
     		top:'6dp', height: Ti.UI.SIZE,
			right: 0,
    		font: WOStyle.FONT.b30, minimumFontSize: '18sp',
    		color:'#FFFFFF', textAlign:'right', 
			touchEnabled:false,	
    	},
	},
    tableView : {
        top: '0', rowHeight:'55dp',
        backgroundColor:'transparent',
		separatorColor:'transparent',
    },	

    tableRow : {
	 	hasChild:false,  height:'55dp',
	 	selectionStyle: WOStyle.IS_ANDROID ? null : Ti.UI.iPhone.TableViewCellSelectionStyle.NONE
	 	},
    
};

		


function PointsListStyle(){
}
	
module.exports = PointsListStyle;

/**
 * End of file:PointsListStyle.js
 */