/**
 * oWOStyle
 */
var WOStyle = require('/waveo/perkd/styles/WOStyle');

RewardsListStyle.className = 'RewardsListStyle';


RewardsListStyle.STYLE = {
    baseWindow :  WOStyle.STYLE.baseWindow,
    navGroup :  WOStyle.STYLE.navGroup,
	window : WOStyle.STYLE.window,

    windowTitle: WOStyle.STYLE.windowTitle,  
		
	titlebarShadowContainer: WOStyle.STYLE.titlebarShadowContainer,
	titlebarShadow:		WOStyle.STYLE.titlebarShadow,

	view : {
		rewardBaseStatus:{
			right: WOStyle.IS_ANDROID? 0 : '-15dp', width: Ti.UI.SIZE,  bottom:'9dp', height: Ti.UI.SIZE, 
 			layout: 'horizontal',  
		},
		 rewardBrand:{
    		width: '90dp', height: '85dp', left: '0', top: '0',
		    shadow:{
		        shadowRadius	: 2,
		        shadowOpacity	: 0.4,
		        shadowOffset	: {x: 1, y: 2},
		    },
   		},
    	rewardBrandImg:{
    		width: '72dp', height: '72dp', left: '10dp', top: '6dp',
			borderRadius: WOStyle.DEVICEDP.dp6, backgroundColor: '#DEDEDE',
    	 },
    	 rewardFrame:{
    	 	left: '95dp', right:'0', height: Ti.UI.SIZE,
    	 	layout: 'vertical',
    	 },
    	 actionDesc: {
    	 	left: 0, right: 0, height: '16dp', top: '2dp', width: Ti.UI.SIZE,
    	 	backgroundColor: 'transparent',
    	 },
		// stamps:{
			// left: '-3dp', right: '60dp', top:'3dp', height: Ti.UI.SIZE, 
 			// layout: 'horizontal',
		// },
		// stampChecked:{
			// left: '3dp', width: '8dp', height: '8dp',  backgroundColor: '#FFFFDE6F',
			// borderRadius: 4, borderWidth: 4, borderColor: '#C7FFDE6F',
		// },
		// stampUnChecked:{
			// left: '3dp', width: '8dp', height: '8dp', backgroundColor: 'transparent',
			// borderRadius: 4, borderWidth: 1, borderColor: '#FFFFFF',
		// },
	},
    tableView : {
        top: 0, rowHeight:'85dp', bottom : 0, 
        backgroundColor:'transparent',
		separatorColor:'transparent',
    },	
    tableRow : { hasChild:true, height: '85dp', backgroundSelectedColor: '#0272ED',},
    label:{
    	rewardName:{
	 		left: '0', right:'0', top: '2dp', height: Ti.UI.SIZE, 
			font: WOStyle.FONT.n24, 
			color:'#FFFFFF',  textAlign:'left', 
			touchEnabled:false, 
	 	},
	 	rewardSetNo:{
	 		right: '0',  width: Ti.UI.SIZE, height: '16dp',
			font: WOStyle.FONT.b12, color: '#79FFFFFF', textAlign:'left',
			touchEnabled: false, 
	 	},
	 	validDate: {
	 		left:'8dp', width: Ti.UI.SIZE, height: '16dp',
        	color:'#FFFFFF', 
			font: WOStyle.FONT.b12,  textAlign:'left',
			touchEnabled:false,
       },
       	actionDesc: {
	 		top: WOStyle.IS_CH? '3dp' : '2dp', left:0, right:0,  width: Ti.UI.SIZE, height: Ti.UI.SIZE, 
        	color:'#2F9AFE',   opacity:0.8, 
			backgroundColor: 'transparent',  
			borderColor: 'transparent', borderWidth: '0', 
			font: WOStyle.FONT.b13,  textAlign:'left', 
			touchEnabled:false,
        },
    },
	btn:{
		done : WOStyle.SYSTEMBUTTON.DONE,
	}

};


function RewardsListStyle(){
}
	
module.exports = RewardsListStyle;

/**
 * End of file:RewardsListStyle.js
 */