/**
 * CardAboutWindow
 */
Ti.include('/globals.js');

var CardAboutWindow = App.Class(App.View.WOWindow, {
	className 	: 'CardAboutWindow',
	stylePath : 'CardIntroStyle',
	
	EVENT : {
		//--- Controller to handle:
		//--- events from Controller:
    },
    
	//---  Constructor  ---------------
	initialize : function(param){
		var self = this;
		self.base(param);
		
		self.WINDOW.hideTabBar = true;
	    self.WINDOW.title = App.Helper.L('TITLE_ABOUT');
 	// --- DATA Package from Controller ---
		// self.DATA.about;
	},
	
	draw : function(param){
		var self = this;

		var titlebarShadowContainer = Ti.UI.createView(self.STYLE.titlebarShadowContainer);
		var titlebarShadow = Ti.UI.createView(self.STYLE.titlebarShadow);
		titlebarShadowContainer.add(titlebarShadow);
		self.VIEW.add(titlebarShadowContainer);
				
		var webView = Ti.UI.createWebView(self.STYLE.webView.about);

		self.DATA.about.substr(0, 4) == 'http' ? webView.url = self.DATA.about : webView.html = self.DATA.about;
		
		self.VIEW.addEventListener('blur', function(e){
			if (self.VIEW && !App.Config.IS_ANDROID) {
				titlebarShadowContainer.hide();
				self.VIEW.backgroundImage = null; 
				self.VIEW.backgroundColor = 'transparent';
			}
		});
		// var btnDone = Ti.UI.createButton({
			// systemButton: Ti.UI.iPhone.SystemButton.DONE
		// });
// 
		// btnDone.addEventListener('click', function(evt){
			// self.close({animated : true});
		// });
// 		
		// self.VIEW.setRightNavButton(btnDone);
		self.VIEW.add(webView);
	},
});

module.exports = CardAboutWindow;

//---  End of file: CardAboutWindow.js
