/**
 *  Upgrade Window in use by:  UpgradeController
 */
Ti.include('/globals.js');

var UpgradeWindow = App.Class(App.View.WOWindow, {
    className : 'UpgradeWindow',
    stylePath : 'AuthStyle',
  
	//---  Constructor  ---------------
	initialize : function(param){
		var self = this;
		self.base(param);
        
	    self.WINDOW.type = App.Const.WINDOW.type.navGroup;
	    self.WINDOW.hideNavBar = true;
    },

	draw : function(param){
		var self = this;
		
		self.startLoading();

        //----  Display task title  ----
		self.L_Upgrade = Ti.UI.createLabel(self.STYLE.Upgrade.text);
		self.L_Upgrade.text = App.Helper.L('auth_UPGRADING');
		self.VIEW.add(self.L_Upgrade);
	},

});

module.exports = UpgradeWindow;

//---  End of file: UpgradeWindow.js
